
/*********************************************************************
****              ESCHER Next Generation - Utilities              ****
**** (c) 1997-2007, G. Ausiello, G. Cesareni, M. Helmer Citterich ****
****               NG version by Alessandro Pedretti              ****
*********************************************************************/


#ifndef __ES_UTILS
#  define __ES_UTILS

void            *Alloca(ES_ULONG);
ES_BOOL         FileExists(char *);
char            *GetFileName(char *);
void            GetFilePath(char *, char *);
ES_BOOL         GetPrgPath(char *, ES_BOOL);
void            LoadPrefs(ES_PREFS *, char *);
void            Lower(char *);
ES_BOOL         SkipLines(FILE *, char *, ES_ULONG);
void            Str2Qchar(ES_QCHAR *, char *);
void            Upper(register char *);

/**** Catalog functions ****/

ES_BOOL         CatInit(char *);
void            CatClose(void);
ES_BOOL         CatErr(ES_ULONG, ...);
int             CatPrintf(FILE *, ES_ULONG, ...);
ES_BOOL         CatWarn(ES_ULONG, ...);
char            *GetStr(ES_ULONG);
ES_BOOL         PrintDosErr(void);

#endif
